#!/bin/bash

# Put this script inside the apache nutch installation

for segdir in crawl/segments/2* ; do
    seg=${segdir##*/}

    if [ ! -d "/tmp/dump-$seg" ] ; then
	./bin/nutch readseg -dump $segdir "/tmp/dump-$seg" -nofetch -nogenerate -noparse -noparsedata -noparsetext
    fi

done


echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!"

for segdir in crawl/segments/2* ; do
    seg=${segdir##*/}

    echo "===================="
    echo "$seg"
    echo "===================="

    
    
    urls=`egrep -a "^URL:" /tmp/dump-$seg/dump`

    wc_urls=`echo $urls | wc`

    echo "Number of urls: $wc_urls"

    echo $urls | tr ' ' '\n' | egrep -v '^URL::'

    # echo $urls
done
